[![pipeline status](https://gitlab.ctrlz.es/mgdelacroix/birthdaybot/badges/main/pipeline.svg)](https://gitlab.ctrlz.es/mgdelacroix/birthdaybot/-/commits/main)

# Birthday bot

A simple bot that notifies of birthdays, posting the contact
information of the subject so you can reach them easily.

## Configuration

There is an [example configuration file](./example-config.yml) that
can be used as a base to create your own configuration, and there is a
[birthdays example CSV file](./birthdays.csv) to load the data.

## Run the bot

To get help for the bot command, run:

```sh
$ ./birthdaybot -help
Usage of ./birthdaybot:
  -config string
        path to the configuration file (default "birthdaybot.yml")
```

To run the server with the development defaults, run:

```sh
$ make run
```

## Roadmap

- [X] Create the bot scaffold
- [X] Define how to read the birthdays info
- [X] Add a logger instance to the config
- [ ] Add config validation on server creation
- [ ] Create a configurable template to fill with each notification
- [ ] Create different message systems to use with the bot
- [ ] Reduce logger verbosity
- [ ] Enjoy!
